<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      <div>
          <ion-icon name="logo-reddit"></ion-icon>&nbsp;
          <ion-label>Reddit</ion-label>
      </div>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-item>
      <ion-label>Subreddit</ion-label>
      <ion-select interface="popover" [(ngModel)]="settings.subreddit" (ionChange)="updatePosts()">
        <ion-select-option value="food">Food</ion-select-option>
        <ion-select-option value="music">Music</ion-select-option>
        <ion-select-option value="gaming">Gaming</ion-select-option>
      </ion-select>
    </ion-item>

    <ion-card *ngFor="let post of posts">
      <ion-card-header>
        <ion-card-subtitle>{{post.data.author}}</ion-card-subtitle>
        <ion-card-title>{{post.data.title}}</ion-card-title>
      </ion-card-header>
    
      <ion-card-content>
        <div class="thumbnail">
            <img src="{{post.data.thumbnail}}" />
        </div>
        <div>
          <ion-item>
            <ion-icon name="thumbs-up"></ion-icon>
            <ion-label>{{post.data.score}}</ion-label>&nbsp; &nbsp;
            <ion-icon name="chatboxes"></ion-icon>
            <ion-label>{{post.data.num_comments}}</ion-label>
          </ion-item>
  
          <ion-button expand="full" target="_blank" href="https://www.reddit.com/{{post.data.permalink}}">
            <ion-icon name="eye" slot="start"></ion-icon>
            <ion-label>View</ion-label>
          </ion-button>
        </div>
      </ion-card-content>
    </ion-card>
</ion-content>
